Bug 1410476 (CVE-2016-10063) - CVE-2016-10063 ImageMagick: Buffer overflow in tiff.c
Summary: CVE-2016-10063 ImageMagick: Buffer overflow in tiff.c
Status: CLOSED WONTFIX
Alias: CVE-2016-10063
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160706,repor...
Keywords: Security
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 15:26 UTC by Andrej Nemec
Modified: 2019-06-08 21:41 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-22 04:29:18 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 15:26:10 UTC
A buffer overflow vulnerability was found in ImageMagick in tiff.c file. A maliciously crafted file could cause the application to crash or have other unspecified impact.

References:

http://seclists.org/oss-sec/2016/q4/758
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845198

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/2bb6941a2d557f26a2f2049ade466e118eeaab91

Comment 1 Andrej Nemec 2017-01-05 16:15:13 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.